package com.bocloud.cmp.provider.compute;

import com.bocloud.cmp.model.powervc.HostSeaAdapterModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

import java.util.List;

public interface HostSeaProvider extends SuperProvider {
    public BocloudResult list();

    public BocloudResult list(long vlanId);

    public BocloudResult list(String networkUuid, long vlanId);

    public BocloudResult createMapping(List<HostSeaAdapterModel> seas);
}
